; USAGE: Copy this file and rename it to platformio_override.ini
;
; The platformio_override.ini file is not overwritten or monitored by git
; ONLY edit platformio_override.ini to make local changes to the parameters

[platformio]
extra_configs =
    ; Uncomment or edit the lines to show more User Setups in the PIO sidebar
    ; user_setups/darwin/*.ini
    ; user_setups/esp32/*.ini
    ; user_setups/esp32s2/*.ini
    ; user_setups/esp32s3/*.ini
    ; user_setups/linux/*.ini
    ; user_setups/stm32f4xx/*.ini
    ; user_setups/win32/*.ini

[override]
; -- Hasp config options --------------------------------------
build_flags =
; -- Uncomment the next line to use the file include/user_config_override.h settings
;    -DUSE_CONFIG_OVERRIDE

;region -- Default Build Environments : Used when Build All ---
extra_default_envs =
    ; Uncomment specific environments or create extra:
    ; az-touch-mod-esp32_ili9341_4MB
    ; az-touch-mod-esp32_ili9341_8MB
    ; d1-mini-esp32_ili9341
    ; d1-r32-unoshield_ili9341_adc
    ; d1-r32-unoshield_ili9486_adc
    ; d1-r32-waveshare_ili9486
    ; esp32s2-featherwing-24-v2
    ; esp32s2-featherwing-35-v2
    ; esp32-2432s028r_4MB
    ; esp32-3248s035c_4MB
    ; esp32-3248s035c_4MB_lovyan
    ; esp32-3248s035r_4MB
    ; esp32-one_ili9486
    ; esp32-one_st7796
    ; esp32-s3-4827s043c_16MB
    ; esp32-s3-4827s043r_16MB
    ; esp32-s3-4848S040_16MB
    ; esp32-s3-8048s043c_16MB
    ; esp32-touchdown
    ; freetouchdeck_4MB
    ; freetouchdeck_8MB
    ; freetouchdeck-s3_8MB
    ; gs-t3e_16MB
    ; huzzah32-featherwing-24
    ; huzzah32-featherwing-24-v2
    ; huzzah32-v2-featherwing-24-v2
    ; huzzah32-featherwing-35
    ; huzzah32-featherwing-35-v2
    ; huzzah32-v2-featherwing-35-v2
    ; lanbon_l8
    ; lanbon_l8_eth
    ; lilygo-lily-pi_ili9481
    ; lilygo-lily-pi_st7796
    ; lolin-d32-pro_ili9341
    ; m5stack-core2
    ; m5stack-tough
    ; makerfabs-s3-tft35-spi
    ; makerfabs-tft35-cap_16MB
    ; makerfabs-tft35-cap_4MB
    ; makerfabs-tft-s2_ili9488
    ; nodemcu32s-raspi
    ; s2-mini-esp32s2_ili9341
    ; ttgo_esp32_poe-ili9341
    ; lilygo-lily-pi_ili9481
    ; lilygo-lily-pi_st7796
    ; ttgo-t7-v1_5_ili9341_16MB
    ; ttgo-t7-v1_5_ili9341_4MB
    ; ttgo-esp32_tdisplay_v1
    ; wt32-sc01_16MB
    ; wt32-sc01_4MB
    ; wt32-sc01-plus_16MB
    ; wt32-sc01-plus_8MB
    ; wt-86-32-3zw1
    ; yeacreate-nscreen32
    ; wz2432r028
;endregion

;region -- Define your local COM ports for each environment ---
[env:d1-mini-esp32_ili9341]
monitor_port = COM6       ; Change to the correct port
upload_port = ${env:d1-mini-esp32_ili9341.monitor_port}

[env:esp32dev-mrb3511]
monitor_port = COM3       ; Change to the correct port
upload_port = ${env:esp32dev-mrb3511.monitor_port}

[env:az-touch-mod-esp32_ili9341_4MB]
upload_port = COM16 
monitor_port = COM16

[env:az-touch-mod-esp32_ili9341_8MB]
upload_port = COM16 
monitor_port = COM16

[env:d1-r32-unoshield_ili9486_adc]
monitor_port = COM5 
upload_port = COM5  

[env:d1-r32-unoshield_ili9341_adc]
;upload_protocol = espota  ; Use ArduinoOTA after flashing over serial
;upload_port = 192.168.0.4 ; IP of the ESP
;upload_flags = --port=3232 ; --auth=haspadmin   ; OTA password
monitor_port = COM5 
upload_port = COM5

[env:esp32-one_st7796]
upload_port = COM6      ; Change to the correct port
monitor_port = COM6     ; Change to the correct port

[env:lolin-d32-pro_ili9341]
monitor_port = COM5       ; Change to the correct port
upload_port = ${env:lolin-d32-pro_ili9341.monitor_port}
;endregion

[env:ttgo_esp32_poe-ili9341]
monitor_port = COM9       ; Change to the correct port
;upload_port = ${env:ttgo_esp32_poe-ili9341.monitor_port}
;upload_port = 192.168.4.5 ; IP of the ESP
;upload_protocol = espota  ; Use ArduinoOTA after flashing over serial
upload_flags = --port=3232 ; --auth=haspadmin   ; OTA password

;region -- Custom Environment configuration example -----------------
[env:my_custom_build]
extends = arduino_esp32_v2, flash_4mb
board = nodemcu-32s

upload_port = COM12     ; To change the port, use platform_override.ini
monitor_port = COM12    ; To change the port, use platform_override.ini

debug_tool = esp-prog
debug_init_break = tbreak setup
build_flags =
    ${env.build_flags}
    ${esp32.build_flags}
;region -- TFT_eSPI build options -----------------------------------
    ${lcd.lolin24}
    ${esp32.vspi}        ; Use VSPI hardware SPI bus
    -D TFT_DC=5
    -D TFT_CS=26 
    -D TFT_RST=-1        ; RST
    -D TFT_BCKL=22       ; None, configurable via web UI (e.g. 21)
    -D TOUCH_CS=17       ; (can also be 22 or 16)
; -- Options ----------------------------------------
    -D HASP_USE_TELNET=1
;endregion

;endregion
